Log in with:

RuneScape Wiki

Jagex Certified

Installing Java

SupportCentreTop
This template is being phased out. If you have found it, please remove it from the page.

Installing Java on your machine is really quite simple, and will be required in order to play RuneScape!

Please note; a minimum version of Java 1.6_10 is required in order to play RuneScape.

  1. Visit the Java website at http://www.java.com
  2. Click ‘Free Java Download’ button
  3. If you are running the most up to date version, the website will specify!
  4. If not, download the latest version
  5. Install the update
  6. Once installed, restart your computer

RuneScape Wiki

Game Guide Support Centre
All you need to know, and more, about the game world. How to get started and how to develop your character. Need help with your account? Perhaps the game won't run for you? Help can be found here.
Scribbles & Sketches The Community Hub
Artwork, fan fiction and arts and crafts are found in this section. Confused by templates or want to contribute but not sure what to do? Check here for details on the RuneScape Wiki editing community.



Report a wiki page

If you have identified content on the wiki that breaches the wiki policies or RuneScape rules it is possible for you to resolve this by editing/updating the content.

However if you feel that a user has seriously breached our rules or editing policy and this requires urgent attention from a member of staff, then please specify the issue from the below categories: